%define pkgname util-macros
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary: 	X.Org X11 Autotools macros
Name: 		xorg-x11-util-macros
Version: 	1.11.0
Release: 	1
License: 	The Open Group License
Group: 		Development/System
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

Source0:  	http://xorg.freedesktop.org/releases/individual/util/util-macros-%{version}.tar.bz2

%description
X.Org X11 autotools macros required for building the various packages that
comprise the X Window System.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_pkgconfig}
cp $RPM_BUILD_ROOT/usr/share/pkgconfig/xorg-macros.pc $RPM_BUILD_ROOT%{_pkgconfig}/
rm -rf $RPM_BUILD_ROOT/usr/share/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_datadir}/aclocal/xorg-macros.m4
%{_pkgconfig}/xorg-macros.pc
%{_datadir}/util-macros/INSTALL


%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.11.0-1
- Version update
* Thu Oct 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.10.1-1
- Version update
* Mon Aug 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.10.0-1
- Version update
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0-1
- Version update
* Fri Jan 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0-1
- Version update
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- Version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Wed Jun 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version update
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Sat Apr 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.6-1
- Version update
* Sun Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
